<?php

namespace App\Models\Webprofile;

use App\Http\Traits\UuidTrait;
use App\Models\Webprofile\De\Agenda as DeAgenda;
use App\Models\Webprofile\En\Agenda as EnAgenda;
use App\Models\Webprofile\Sa\Agenda as SaAgenda;
use App\Models\Webprofile\Zh\Agenda as ZhAgenda;
use Illuminate\Database\Eloquent\Model;

class Agenda extends Model
{
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'swp_agendas';

    protected $guarded = [];

    public function rEn()
    {
        return $this->hasOne(EnAgenda::class, 'agenda_id', 'id');
    }

    public function rDe()
    {
        return $this->hasOne(DeAgenda::class, 'agenda_id', 'id');
    }

    public function rSa()
    {
        return $this->hasOne(SaAgenda::class, 'agenda_id', 'id');
    }

    public function rZh()
    {
        return $this->hasOne(ZhAgenda::class, 'agenda_id', 'id');
    }
}
